Bug 143124 - loadkeys -u de-latin1-nodeadkeys fails
loadkeys -u de-latin1-nodeadkeys fails
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Miloslav Trmač
: 142236 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-12-16 13:26 EST by Jochen Schmitt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.12-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-19 17:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Suggested patch to solve the reported issue (344 bytes, patch)
2005-01-11 11:09 EST, Jochen Schmitt
no flags Details | Diff

  None (edit)
Description Jochen Schmitt 2004-12-16 13:26:07 EST
When I try to enter 

loadkeys -u de-latin1-nodeadkeys,

I get the error mesage:

unknown keysym 'Meta_acute'
/lib/kbd/keymaps/i386/qwertz/de-latin1.map.gz:34: syntax error
syntax error in map file

This coused, that I not get a german keymaping on my computer.

The following packages are installed:

kernel-2.6.9-1.1014_FC4 (self compiled)

Best Regards:

Jochen Schmitt
Comment 1 Jochen Schmitt 2005-01-05 12:34:44 EST
I have make a code review and found the folowing linex in ksyms.c:
if (!strncmp(s, "Meta_", 5)) {
        keycode = ksymtocode(s+5);
	if (KTYP(keycode) == KT_LATIN)
		return K(KT_META, KVAL(keycode));
	/* fall through to error printf */

The file de-latin1.map contains a line with 'Meta_acute', so loadkeys
will run in the error branch, if you call it with the -u option.

Without the -u option you will not get a error message, but its load
not the unicode map.

Best Regards:

Jochen Schmitt
Comment 2 Jochen Schmitt 2005-01-11 11:09:05 EST
Created attachment 109616 [details]
Suggested patch to solve the reported issue
Comment 3 Miloslav Trmač 2005-02-18 18:59:18 EST
*** Bug 142236 has been marked as a duplicate of this bug. ***
Comment 4 Miloslav Trmač 2005-02-19 17:41:32 EST
Actually, Meta_acute doesn't make sense at all (it is either "esc acute"
or "acute with bit 7 set", depending on console settings - but
"acute with bit 7 set" is equal to "acute").

Meta_acute should be removed from both German keymaps in kbd-1.12-4.
Comment 5 Miloslav Trmač 2005-02-20 16:31:32 EST
The upstream maintainer prevers using your patch, so kbd-1.12-5 was
updated accordingly.


Note You need to log in before you can comment on or make changes to this bug.